Gutsy gibbon, XGL, nvidia: pourquoi ça marche pas?

Le
Cumbalero
Bonjour,


Je butte sur ça:

jf@cacaboudin:~$ lspci | grep -i nvidia
01:00.0 VGA compatible controller: nVidia Corporation NV31 [GeForce FX 5600]
(rev a1)


extrait du xorg.conf:


Section "Device"
Identifier "NVIDIA Corporation NV18 [GeForce FX 5600 AGP 8x]"
Driver "nvidia"
Option "AllowGLXWithComposite" "true"
Option "AddARGBGLXVisuals" "True"
EndSection

Section "Module"
Load "i2c"
Load "bitmap"
Load "ddc"
Load "extmod"
Load "freetype"
Load "glx"
Load "int10"
Load "type1"
Load "vbe"
EndSection


extrait de la log Xorg:
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules//libglx.so
(II) Module glx: vendor="NVIDIA Corporation"
compiled for 4.0.2, module version = 1.0.0
Module class: X.Org Server Extension
ABI class: X.Org Server Extension, version 0.1
(II) NVIDIA GLX Module 100.14.19 Wed Sep 12 14:48:02 PDT 2007


jf@cacaboudin:~$ glxinfo
name of display: :0.0
display: :0 screen: 0
direct rendering: Yes
server glx vendor string: NVIDIA Corporation
server glx version string: 1.4



Jusque là, tout me semble OK, sauf que:

jf@cacaboudin:~$ driconf
libGL is too old.

J'ai trouvé sur le net des pistes sur des conflits entre les bibliothèques
MESA et nvidia, mais cela concernait des problèmes d'installation de
nvidia-glx qui ne m'a posé aucun souci.


Des piste?

A+
JF
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
François
Le #1904210

Des piste?



Je ne sais pas au juste ce que tu as comme problème, mais dû recompiler
le pilote NVIDIA à trois reprises depuis le passage à Gutsy, après la
maj puis après chaque maj complémentaire. Je me retrouvais avec le
pilote par défaut et en 800*600 au lieu de 1440*900. Heureusement qu'il
y a le script Envy pour ça.


--
François

Cumbalero
Le #1904205

y a le script Envy pour ça.




Mouais, je préfère éviter les trucs qui n'ont pas le support offici el de
ma distribution, surtout pour des trucs aussi sensible que le pilote de
la carte graphique.

Le pilote propriétaire fourni par (K)Ubuntu ne m'a posé aucun souci p our
son installation, je n'ai jamais eu à le compiler (enfin, si on peut
appeler ça compiler, les sources n'étant pas fournies...).

Il semble que ce soit un conflit des libGL, je vais continuer à creuser ,
vérifier mon ld.so.conf, mon LD_LIBRARY_PATH... et poster aussi sur les
fora *buntu.

Mais bon, si quelqu'un a une idée de génie, je reste preneur bien sû r!

A+
JF

Mihamina Rakotomandimby
Le #1904161
Cumbalero wrote:
Mouais, je préfère éviter les trucs qui n'ont pas le support officiel de
ma distribution, surtout pour des trucs aussi sensible que le pilote de
la carte graphique.


+1.
Je pense que les MLs ubuntu sont des bonnes pistes.

Steph
Le #1904149

Je pense que les MLs ubuntu sont des bonnes pistes.
MLs ???


Steph
Le #1904148
Je n'en suis malheursement meme pas là avec cette meme distrib.

J'ai une simple 6100 (Nvidia) et si j'essai d'installer le driver Nvidia
(par le menu). L'install me dit qu'il ya eu un probleme du nvidia-glx-new.
Ce qui est bizarre c'est qu'avec cette meme distrib en liveCD, il va
bien telecharger le driver. Mais bon il me propose de redemarrer et
evidement tout est perdu.
Publicité
Poster une réponse
Anonyme